Skip to content

Approve one or multiple physical card orders

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Approve one or multiple physical card orders

Security
oauth2ClientCredentials(Required scopes: cards:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
order_idsArray of stringsrequired

Array of physical card order IDs to approve

Example:
[ "6737397bcd9b059fff307ada", "6734a7a4f52ba5a69f8e722e" ]
notesstring

Optional approval notes

Example:"Approved for production and shipping"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/cards/physical/orders \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "order_ids": [
      "6737397bcd9b059fff307ada",
      "6734a7a4f52ba5a69f8e722e"
    ],
    "notes": "Approved for production and shipping"
  }'

Responses

Physical card orders approved successfully